Bug 17475

Summary: New Bhilodi and Tulu locales
Product: glibc Reporter: Tatiana Udalova <t.udalova>
Component: localedataAssignee: Not yet assigned to anyone <unassigned>
Status: RESOLVED FIXED    
Severity: minor CC: libc-locales, maiku.fabian, pravin.d.s, raj.khem, siddhesh
Priority: P2 Flags: fweimer: security-
Version: unspecified   
Target Milestone: ---   
Host: Target:
Build: Last reconfirmed:
Attachments: localedef entries and locale files
fixed locales LC_MEASUREMENT
Patch to correct localecodes of Bhili and Tulu language

Description Tatiana Udalova 2014-10-10 08:24:55 UTC
Created attachment 7822 [details]
localedef entries and locale files

Hi folks,

My colleagues and I prepared a new locales for Bhilodi and Tulu languages.
We also added Bhilodi and Tulu to the entries of localedef.

Please review the attached patch.

Is it OK for commit?

Thank you,
Tatiana Udalova
Comment 1 Pravin S 2014-10-10 09:53:37 UTC
$localedef -i ./tu_IN -f UTF-8 ./tu

./tu_IN:193: LC_MEASUREMENT: premature end of file
LC_ADDRESS: terminology language code `tcy' not defined
LC_ADDRESS: language abbreviation `tu' not defined
LC_ADDRESS: language abbreviation `tcy' not defined
no output file produced because warnings were issued

$localedef -i ./bh_IN -f UTF-8 ./bh
LC_ADDRESS: terminology language code `bhb' not defined


Do resolve above errors.

also good to provide link to ISO code for these languages.
Comment 2 Tatiana Udalova 2014-10-10 10:15:41 UTC
ISO codes for tcy were taken from here: http://en.wikipedia.org/wiki/ISO_639:t
ISO codes for bhb were taken from here: http://en.wikipedia.org/wiki/ISO_639:b

"terminology language code `tcy' not defined" problem also was fixed in our patch.
Current localedef has no information about tulu and bhilodi languages. Such information should be added to libc/locale/iso-639.def.
Our patch adds this information, but localedef should be rebuilded after that.
Comment 3 Pravin S 2014-10-10 10:43:24 UTC
I missed that.

One more fix: LC_MEASUREMENT is missing in both locales from "LC_IDENTIFICATION"

Fix this and send patch to libc-alpha mailing list with subject as a bugzilla id and summary.
Comment 4 Tatiana Udalova 2014-10-13 07:30:12 UTC
Created attachment 7828 [details]
fixed locales LC_MEASUREMENT
Comment 5 cvs-commit@gcc.gnu.org 2014-11-12 11:48:11 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  fffa1cf8a7f95830d488d5fc6bf73cb9599143f4 (commit)
       via  fb89b46d1d1cdbaaec1af918a3a3e1bd72a164e0 (commit)
      from  5c40c3bab2fddaca8cfe12d75944d1fef8adf1a4 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=fffa1cf8a7f95830d488d5fc6bf73cb9599143f4

commit fffa1cf8a7f95830d488d5fc6bf73cb9599143f4
Author: Leonhard Holz <leonhard.holz@web.de>
Date:   Wed Nov 12 17:10:21 2014 +0530

    Fix tst-strcoll-overflow returning before timeout (BZ #17506)
    
    Modifies the test examination in test-skeleton.c so that a test can be
    successful if it is interrupted or it returns uninterrupted with the
    expected status. For this both EXPECTED_SIGNAL and EXPECTED_STATUS
    have to be set, as is done in tst-strcoll-overflow.c.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=fb89b46d1d1cdbaaec1af918a3a3e1bd72a164e0

commit fb89b46d1d1cdbaaec1af918a3a3e1bd72a164e0
Author: Tatiana Udalova <t.udalova@samsung.com>
Date:   Wed Nov 12 17:06:39 2014 +0530

    New Bhilodi and Tulu locales (BZ #17475)

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                     |   12 +++
 NEWS                          |    5 +-
 locale/iso-639.def            |    2 +
 localedata/ChangeLog          |    7 ++
 localedata/SUPPORTED          |    2 +
 localedata/locales/bh_IN      |  179 +++++++++++++++++++++++++++++++++++++
 localedata/locales/tu_IN      |  195 +++++++++++++++++++++++++++++++++++++++++
 string/tst-strcoll-overflow.c |    1 +
 test-skeleton.c               |   63 ++++++++------
 9 files changed, 437 insertions(+), 29 deletions(-)
 create mode 100644 localedata/locales/bh_IN
 create mode 100644 localedata/locales/tu_IN
Comment 6 Siddhesh Poyarekar 2014-11-12 11:59:56 UTC
Pushed into master.
Comment 7 cvs-commit@gcc.gnu.org 2015-02-06 15:36:03 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The annotated tag, glibc-2.21 has been created
        at  dee233133daf497cdb3a507a7da9d88414820a1f (tag)
   tagging  4e42b5b8f89f0e288e68be7ad70f9525aebc2cff (commit)
  replaces  glibc-2.20
 tagged by  Carlos O'Donell
        on  Fri Feb 6 01:42:58 2015 -0500

- Log -----------------------------------------------------------------
The GNU C Library
=================

The GNU C Library version 2.21 is now available.

The GNU C Library is used as *the* C library in the GNU system and
in GNU/Linux systems, as well as many other systems that use Linux
as the kernel.

The GNU C Library is primarily designed to be a portable
and high performance C library.  It follows all relevant
standards including ISO C11 and POSIX.1-2008.  It is also
internationalized and has one of the most complete
internationalization interfaces known.

The GNU C Library webpage is at http://www.gnu.org/software/libc/

Packages for the 2.21 release may be downloaded from:
        http://ftpmirror.gnu.org/libc/
        http://ftp.gnu.org/gnu/libc/

The mirror list is at http://www.gnu.org/order/ftp.html

NEWS for version 2.21
=====================

* The following bugs are resolved with this release:

  6652, 10672, 12674, 12847, 12926, 13862, 14132, 14138, 14171, 14498,
  15215, 15378, 15884, 16009, 16418, 16191, 16469, 16576, 16617, 16618,
  16619, 16657, 16740, 16857, 17192, 17266, 17273, 17344, 17363, 17370,
  17371, 17411, 17460, 17475, 17485, 17501, 17506, 17508, 17522, 17555,
  17570, 17571, 17572, 17573, 17574, 17582, 17583, 17584, 17585, 17589,
  17594, 17601, 17608, 17616, 17625, 17630, 17633, 17634, 17635, 17647,
  17653, 17657, 17658, 17664, 17665, 17668, 17682, 17702, 17717, 17719,
  17722, 17723, 17724, 17725, 17732, 17733, 17744, 17745, 17746, 17747,
  17748, 17775, 17777, 17780, 17781, 17782, 17791, 17793, 17796, 17797,
  17801, 17803, 17806, 17834, 17844, 17848, 17868, 17869, 17870, 17885,
  17892.

* CVE-2015-1472 Under certain conditions wscanf can allocate too little
  memory for the to-be-scanned arguments and overflow the allocated
  buffer.  The implementation now correctly computes the required buffer
  size when using malloc.

* A new semaphore algorithm has been implemented in generic C code for all
  machines. Previous custom assembly implementations of semaphore were
  difficult to reason about or ensure that they were safe. The new version
  of semaphore supports machines with 64-bit or 32-bit atomic operations.
  The new semaphore algorithm is used by sem_init, sem_open, sem_post,
  sem_wait, sem_timedwait, sem_trywait, and sem_getvalue.

* Port to Altera Nios II has been contributed by Mentor Graphics.

* Optimized strcpy, stpcpy, strncpy, stpncpy, strcmp, and strncmp
  implementations for powerpc64/powerpc64le.
  Implemented by Adhemerval Zanella (IBM).

* Added support for TSX lock elision of pthread mutexes on powerpc32, powerpc64
  and powerpc64le.  This may improve lock scaling of existing programs on
  HTM capable systems.  The lock elision code is only enabled with
  --enable-lock-elision=yes.  Also, the TSX lock elision implementation for
  powerpc will issue a transaction abort on every syscall to avoid side
  effects being visible outside transactions.

* Optimized strcpy, stpcpy, strchrnul and strrchr implementations for
  AArch64.  Contributed by ARM Ltd.

* i386 memcpy functions optimized with SSE2 unaligned load/store.

* CVE-2104-7817 The wordexp function could ignore the WRDE_NOCMD flag
  under certain input conditions resulting in the execution of a shell for
  command substitution when the applicaiton did not request it. The
  implementation now checks WRDE_NOCMD immediately before executing the
  shell and returns the error WRDE_CMDSUB as expected.

* CVE-2012-3406 printf-style functions could run into a stack overflow when
  processing format strings with a large number of format specifiers.

* CVE-2014-9402 The nss_dns implementation of getnetbyname could run into an
  infinite loop if the DNS response contained a PTR record of an unexpected
  format.

* The minimum GCC version that can be used to build this version of the GNU
  C Library is GCC 4.6.  Older GCC versions, and non-GNU compilers, can
  still be used to compile programs using the GNU C Library.

* The GNU C Library is now built with -Werror by default.  This can be
  disabled by configuring with --disable-werror.

* New locales: tu_IN, bh_IN, raj_IN, ce_RU.

* The obsolete sigvec function has been removed.  This was the original
  4.2BSD interface that inspired the POSIX.1 sigaction interface, which
  programs have been using instead for about 25 years.  Of course, ABI
  compatibility for old binaries using sigvec remains intact.

* Merged gettext 0.19.3 into the intl subdirectory.  This fixes building
  with newer versions of bison.

* Support for MIPS o32 FPXX, FP64A and FP64 ABI Extensions.
  The original MIPS o32 hard-float ABI requires an FPU where double-precision
  registers overlay two consecutive single-precision registers.  MIPS32R2
  introduced a new FPU mode (FR=1) where double-precision registers extend the
  corresponding single-precision registers which is incompatible with the
  o32 hard-float ABI.  The MIPS SIMD ASE and the MIPSR6 architecture both
  require the use of FR=1 making a transition necessary.  New o32 ABI
  extensions enable users to migrate over time from the original o32 ABI
  through to the updated o32 FP64 ABI.  To achieve this the dynamic linker now
  tracks the ABI of any loaded object and verifies that new objects are
  compatible.  Mode transitions will also be requested as required and
  unsupportable objects will be rejected.  The ABI checks include both soft and
  hard float ABIs for o32, n32 and n64.

  GCC 5 with GNU binutils 2.25 onwards:
  It is strongly recommended that all o32 system libraries are built using the
  new o32 FPXX ABI (-mfpxx) to facilitate the transition as this is compatible
  with the original and all new o32 ABI extensions.  Configure a MIPS GCC
  compiler using --with-fp-32=xx to set this by default.

Contributors
============

This release was made possible by the contributions of many people.
The maintainers are grateful to everyone who has contributed
changes or bug reports.  These include:

Adhemerval Zanella
Alan Hayward
Alexandre Oliva
Allan McRae
Anders Kaseorg
Andreas Krebbel
Andreas Schwab
Andrew Pinski
Andrew Senkevich
Anton Blanchard
Arjun Shankar
Aurelien Jarno
Bram
Brooks Moses
Carlos O'Donell
Chris Metcalf
Chung-Lin Tang
David Holsgrove
David S. Miller
Eric Biggers
Florian Weimer
Gratian Crisan
H.J. Lu
J. Brown
James Lemke
Jeff Law
Jose E. Marchesi
Joseph Myers
Kaz Kojima
Kostya Serebryany
Leonhard Holz
Ma Shimiao
Maciej W. Rozycki
Marcus Shawcroft
Marek Polacek
Martin Sebor
Matthew Fortune
Mike Frysinger
Ondřej Bílka
Paul Eggert
Paul Pluzhnikov
Petar Jovanovic
Pravin Satpute
Rajalakshmi Srinivasaraghavan
Rasmus Villemoes
Renlin Li
Richard Earnshaw
Richard Henderson
Roland McGrath
Ryan Cumming
Samuel Thibault
Siddhesh Poyarekar
Stefan Liebler
Steve Ellcey
Tatiana Udalova
Tim Lammens
Tom de Vries
Torvald Riegel
Vladimir A. Nazarenko
Wilco Dijkstra
Will Newton
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAABAgAGBQJU1GKVAAoJECXvCkNsKkr/4IYIAMfU5+NN2z44R2SeRlH+bSZG
rGCF7rUzUOY+ePVNdgOH2cUKfxuLyMU6aao/IVQ863VHW1Ct/x2goVU22oqnVmvP
FeElVxZyzx7iCqipqyaobj0Fm/b563/4yQ+BEOjH39Sj5Ii5kY6PcQQslMJWIH5R
/nHmO048ZAlx/vGWTczAR50HOW1z8H1gilWm8SBkq2BJ8UndhSXCVpThCdMGfeBF
NUxUl2aSt3eghA0SWD3WgRzRR0vU9RHuNQ5k5ggjjRPtipa8DP04t0Bk7/QiLhj1
M2upSS7r4ceZZuFGX8oYVn3f0lTajpOOeuX7SBnKIgQ8cDXtSHST6yPMAbsJRB4=
=odoa
-----END PGP SIGNATURE-----

Adhemerval Zanella (35):
      PowerPC: multiarch bzero cleanup for PPC64
      PowerPC: memset optimization for POWER8/PPC64
      powerpc: remove linux lowlevellock.h
      powerpc: Fix encoding of POWER8 instruction
      powerpc: Simplify encoding of POWER8 instruction
      libio: Refactor tst-fmemopen to use test-skeleton.c
      powerpc: Fix missing barriers in atomic_exchange_and_add_{acq,rel}
      powerpc: Add powerpc64 strspn optimization
      powerpc: Add powerpc64 strcspn optimization
      powerpc: Add powerpc64 strpbrk optimization
      libio: Fix buffer overrun in tst-ftell-active-handler
      libio: Fix variable aligment in tst-ftell-active-handler
      powerpc: Fix lgammal_r overflow warnings
      Fix __sendmmsg prototype guards
      stdio-common: Include <libc-internal.h> in some tests
      Function declaration cleanup
      mips: Fix __libc_pread prototype
      powerpc: Fix compiler warning on some syscalls
      powerpc: Add the lock elision using HTM
      powerpc: Add adaptive elision to rwlocks
      powerpc: abort transaction in syscalls
      powerpc: Fix Copyright dates and CL entry
      Add x86 32 bit vDSO time function support
      powerpc: Optimized st{r,p}cpy for POWER8/PPC64
      powerpc: Optimized strcat for POWER8/PPC64
      powerpc: Optimized strncat for POWER7/PPC64
      powerpc: Optimized st{r,p}ncpy for POWER8/PPC64
      powerpc: Optimized strcmp for POWER8/PPC64
      powerpc: Optimized strncmp for POWER8/PPC64
      powerpc: Fix POWER7/PPC64 performance regression on LE
      BZ #16418: Fix powerpc get_clockfreq raciness
      powerpc: Fix ifuncmain6pie failure with GCC 4.9
      powerpc: Fix powerpc64 build failure with binutils 2.22
      powerpc: Fix fsqrt build in libm [BZ#16576]
      powerpc: Fix fesetexceptflag [BZ#17885]

Alan Hayward (1):
      [AArch64] Add ipc.h.

Alexandre Oliva (6):
      Require check-safety.sh to pass; wish for check that all fns are documented
      manual: cuserid is mtasurace if not passed a string
      ctermid: return string literal, document MT-Safety pitfall
      BZ#14498: fix infinite loop in nss_db_getservbyname
      BZ#16469: don't drop trailing dot in res_nquerydomain(..., name, NULL, ...)
      BZ#16469: resolv: skip leading dot in domain to search

Allan McRae (5):
      Open development for 2.21
      Update Russian translation
      Update French translation
      stdio-common/Makefile: readd bug26 testcase
      Label CVE-2014-9402 in NEWS

Anders Kaseorg (2):
      manual: Remove incorrect claim that qsort() can be stabilized
      manual: Correct guarantee about pointers compared by qsort()

Andreas Krebbel (2):
      stdlib/longlong.h: Add __udiv_w_sdiv prototype.
      iconv: Suppress array out of bounds warning.

Andreas Schwab (20):
      Handle zero prefix length in getifaddrs (BZ #17371)
      Fix misdetected Slow_SSE4_2 cpu feature bit (bug 17501)
      Don't error out writing a multibyte character to an unbuffered stream (bug 17522)
      Remove unused include
      m68k: don't expect PLT reference to __tls_get_addr
      Don't touch user-controlled stdio locks in forked child (bug 12847)
      Update NEWS
      Remove duplication from gconv-modules
      Properly handle forced elision in pthread_mutex_trylock (bug 16657)
      Remove obsolete comment
      Constify string parameters
      Fix printf format error
      Fix changelog typo
      m68k: remove @PLTPC from _dl_init call
      Remove 17581 from NEWS
      m68k: force inlining bswap functions
      m68k: fix missing definition of __feraiseexcept
      m68k/coldfire: avoid warning about volatile register variables
      ia64: avoid set-but-not-used warning
      Include <signal.h> in sysdeps/nptl/allocrtsig.c

Andrew Pinski (1):
      AArch64: Reformat inline-asm in elf_machine_load_address

Andrew Senkevich (4):
      Update minimal required bunutils version to 2.22
      i386: memcpy functions with SSE2 unaligned load/store
      i386: Fix build by GCC 5.0
      Remove duplicated -frounding-math

Anton Blanchard (1):
      powerpc: Fix __arch_compare_and_exchange_bool_64_rel

Arjun Shankar (6):
      New test for ftime
      Write errors to stdout and not stderr in nptl/tst-setuid3.c
      Modify several tests to use test-skeleton.c
      Modify stdio-common/tst-fseek.c to use test-skeleton.c
      Modify stdlib/tst-bsearch.c to use test-skeleton.c
      Modify libio/tst-fopenloc.c to use test-skeleton.c

Aurelien Jarno (2):
      resolv: improve comments about nserv and nservall
      resolv: fix rotate option

Bram (1):
      Fix segmentation fault when LD_LIBRARY_PATH contains only non-existings paths

Brooks Moses (1):
      sysdeps/x86_64/start.S doesn't have a .size elf directive for _start.

Carlos O'Donell (22):
      HPPA: Transition to new non-addon NPTL.
      HPPA: Add c++-types.data.
      Correctly size profiling reloc table (bug 17411)
      hppa: Make __SIGRTMIN 32 (ABI break).
      elf/dl-load.c: Use __strdup.
      manual/llio.texi: Add Linux-specific comments for write().
      Run check-localpltk/textrel/execstack over ld.so.
      manual/llio.texi: Comment on write atomicity.
      CVE-2014-7817: wordexp fails to honour WRDE_NOCMD.
      Expand comments in elf/ldconfig.c (search_dir)
      Use ALIGN_UP in nptl/nptl-init.c
      Fix indenting in bits/ioctl-types.h.
      Update libc.pot:
      Regenerate INSTALL.
      Fix semaphore destruction (bug 12674).
      Fix recursive dlopen.
      tst-getpw: Rewrite.
      Update copyright year to 2015 for new files.
      hppa: Remove warnings and fix conformance errors.
      glibc 2.21 pre-release update.
      hppa: Sync with pthread.h.
      Update version.h and include/features.h for 2.21 release

Chris Metcalf (32):
      tile: remove linux lowlevellock.h
      tilegx: optimize string copy_byte() internal function
      tilegx: provide optimized strnlen, strstr, and strcasestr
      tile: add support for _SC_LEVEL*CACHE* sysconf() queries
      tile: optimize memcmp
      tile: make the prolog of clone() more conformant
      tile: add clock_gettime support via vDSO
      tile: fix copyright header blocks in just-committed files
      tile: add inhibit_loop_to_libcall to string functions
      math: increase timeout for math/atest-*.c
      iconvdata/tst-loading: bump up timeout to 10s
      tilegx: fix strstr to build and link better
      tile: provide localplt.data with __tls_get_addr optional
      tile: remove localplt.data and use generic one again.
      tile: separate ffsll from ffs
      Update NEWS and ChangeLog with two tile bug fixes.
      tilegx: remove implicit boolean conversion in strstr.
      Fix namespace conformance issue with Bessel functions.
      NEWS: mention bug fix for 17747.
      tilegx: enable wordsize-64 support for ieee745 dbl-64.
      tilegx32: avoid a a -Werror warning from unwinding
      tilegx: fix sysdep.h to avoid a redefinition warning
      linux/clock_settime: remove unnecessary vDSO definitions
      tile: add no-op fe*() routines for libc internal use
      posix/Makefile: use $(objpfx) for files in before-compile.
      tile: prefer inlines to macros in math_private.h.
      Fix a couple of -Wundef warnings.
      Fix some warnings in the absence of FP round/exception support
      lround: provide cast for wordsize-64 version if needed
      tile: check error properly for vDSO calls
      posix/regcomp: initialize union structure tag to avoid warning
      tilegx32: set __HAVE_64B_ATOMICS to 0

Chung-Lin Tang (4):
      Add Nios II definitions to elf/elf.h.
      Remove divide from _ELF_DYNAMIC_DO_RELOC in elf/dynamic-link.h.
      Commit nios2 port to master.
      Function name typo error in non-PIC case, fixed in this patch.

David Holsgrove (3):
      MicroBlaze: Fix integer-pointer conversion warning
      MicroBlaze: Fix volatile-register-var warning in READ_THREAD_POINTER
      MicroBlaze: Avoid pointer to integer conversion warning

David S. Miller (6):
      Fix sparc build.
      Fix array bounds warnings in elf_get_dyanmic_info() on sparc with gcc-4.6
      Fix soft-fp build warning on sparc about strict aliasing.
      Fix scanf15.c testsuite build on sparc.
      Fix sparc semaphore implementation after recent changes.
      Fix two bugs in sparc atomics.

Eric Biggers (1):
      setenv fix memory leak when setting large, duplicate string (BZ #17658)

Florian Weimer (6):
      Turn on -Werror=implicit-function-declaration
      malloc: additional unlink hardening for non-small bins [BZ #17344]
      Complete the removal of __gconv_translit_find
      Update NEWS for bug 17608
      Avoid infinite loop in nss_dns getnetbyname [BZ #17630]
      iconvdata/run-iconv-test.sh: Actually test iconv modules

Gratian Crisan (1):
      arm: Re-enable PI futex support for ARM kernels >= 3.14.3

H.J. Lu (27):
      Require autoconf 2.69
      Resize DTV if the current DTV isn't big enough
      Mention fix for PR 13862
      Replace 1L with (mp_limb_t) 1
      Compile s_llround.c with -Wno-error for x32 build
      Replace -Wno-error with -fno-builtin-lround
      Remove @PLT from "call _dl_init@PLT" in _dl_start_user
      Add hidden __tls_get_addr/___tls_get_addr alias
      Replace %ld with %jd and cast to intmax_t
      Replace %ld with %jd and cast to intmax_t
      Replace %ld with %jd and cast to intmax_t
      Replace %ld with %jd and cast to intmax_t
      Replace %ld/%lu with %jd/%ju and cast to intmax_t/uintmax_t
      Replace %ld with %jd and cast to intmax_t
      Replace %ld with %jd and cast to intmax_t
      Replace %ld with %jd and cast to intmax_t
      Replace %ld with %jd and cast to intmax_t
      Mention fix for BZ #17732
      Mention i386 memcpy with SSE2 unaligned load/store
      Don't check PI_STATIC_AND_HIDDEN in i386 dl-machine.h
      Define CLOCKS_PER_SEC type to the type clock_t
      Mention bug fix for BZ #17806
      Use uint64_t and (uint64_t) 1 for 64-bit int
      Also use uint64_t in __new_sem_wait_fast
      Treat model numbers 0x4a/0x4d as Silvermont
      Also treat model numbers 0x5a/0x5d as Silvermont
      Use AVX unaligned memcpy only if AVX2 is available

J. Brown (1):
      Recognize recent x86 CPUs in string.h

James Lemke (2):
      Fix for test "malloc_usable_size: expected 7 but got 11"
      Fix for test "malloc_usable_size: expected 7 but got 11"

Jeff Law (1):
      CVE-2012-3406: Stack overflow in vfprintf [BZ #16617]

Jose E. Marchesi (1):
      Fix sparc struct fpu definition.

Joseph Myers (141):
      Add new Linux 3.16 constants to netinet/udp.h.
      Move architecture-specific shlib-versions entries to sysdeps files.
      Move OS-specific shlib-versions entries to sysdeps files.
      Use %ifdef in sysdeps/unix/sysv/linux/powerpc/powerpc64/shlib-versions.
      Remove configuration name patterns from shlib-versions.
      Remove bitrotten --enable-oldest-abi (bug 6652).
      soft-fp: Correct _FP_TO_INT formatting.
      soft-fp: Fix comment formatting.
      Move some setrlimit definitions to syscalls.list (bug 14138).
      Clean up gnu/lib-names.h generation (bug 14171).
      Remove shlib-versions entries redundant with DEFAULT entries.
      Run tst-ld-sse-use.sh with bash.
      Move some *at definitions to syscalls.list (bug 14138).
      Move execve to syscalls.list (bug 14138).
      Move some chown / lchown / fchown definitions to syscalls.list (bug 14138).
      Support and use mixed compat/non-compat aliases in syscalls.list.
      Don't use INTUSE with __adjtimex (bug 14132).
      soft-fp: Remove FP_CLEAR_EXCEPTIONS.
      soft-fp: Make extensions of subnormals from XFmode to TFmode signal underflow if traps enabled.
      soft-fp: Refactor exception handling for comparisons.
      soft-fp: Fix _FP_TO_INT latent bug in overflow handling.
      soft-fp: Add FP_DENORM_ZERO.
      Remove stray *_internal aliases (bug 14132).
      Don't use INTDEF/INTUSE with __cxa_atexit (bug 14132).
      soft-fp: Support more precise "invalid" exceptions.
      soft-fp: Support rsigned == 2 in _FP_TO_INT.
      soft-fp: Use parentheses around macro arguments.
      Don't use INTVARDEF/INTUSE with __libc_enable_secure (bug 14132).
      Remove CANCEL-FCT-WAIVE and CANCEL-FILE-WAIVE.
      conformtest: clean up POSIX expections for sys/utsname.h, sys/wait.h.
      Move readv and writev definitions to syscalls.list (bug 14138).
      Don't use INTDEF with __ldexpf (bug 14132).
      Don't use INTDEF for powerpc32 compat symbols (bug 14132).
      Move some chown / lchown / fchown definitions to syscalls.list (bug 14138).
      Move get*id and getgroups definitions to syscalls.list (bug 14138).
      Move setfsgid/setfsuid definitions to syscalls.list (bug 14138).
      Don't use INTDEF/INTUSE in unwind-dw2-fde.c (bug 14132).
      Remove __libc_creat function name.
      Remove __libc_readv and __libc_writev function names.
      Move powerpc64 pread/pwrite definitions to syscalls.list (bug 14138).
      Add bug 15215 to NEWS; move bug 17344 to correct version's list in NEWS.
      Remove __libc_pselect alias.
      Update autoconf version requirement in install.texi.
      Make aclocal.m4 comment mention updating install.texi for autoconf version.
      Remove __libc_nanosleep function name.
      soft-fp: Add _FP_TO_INT_ROUND.
      Don't use INTDEF/INTUSE with _dl_argv (bug 14132).
      Don't use INTDEF/INTUSE with _dl_init (bug 14132).
      Don't use INTDEF/INTUSE with _dl_mcount (bug 14132).
      Remove INTDEF / INTUSE / INTVARDEF (bug 14132).
      Remove __libc_waitpid function name.
      Fix tzfile.c namespace (bug 17583).
      Fix __getcwd rewinddir namespace (bug 17584).
      Fix malloc_info namespace (bug 17570).
      Fix qsort_r namespace (bug 17571).
      Fix x86_64 rawmemchr namespace (bug 17572).
      Fix stpcpy / mempcpy namespace (bug 17573).
      Fix __printf_fp wmemset namespace (bug 17574).
      Fix __get_nprocs fgets_unlocked namespace (bug 17582).
      Fix locale memmem namespace (bug 17585).
      Fix localealias.c fgets_unlocked namespace (bug 17589).
      Add tests for namespace for static linking.
      Fix strtoll / strtoull namespace for 32-bit (bug 17594).
      Use prototype definition for __strtol.
      Fix build of C mempcpy and stpcpy.
      Require GCC 4.6 or later to build glibc.
      Only declare __sigpause in installed signal.h when necessary.
      Remove ARM __GNUC_PREREQ(4,4) conditionals.
      Remove x86_64 __GNUC_PREREQ (4, 6) conditional.
      Fix libm mpone, mptwo namespace (bug 17616).
      Fix perror fileno namespace (bug 17633).
      Fix warning in posix/bug-regex31.c.
      Fix warning in stdio-common/tst-printf-round.c.
      Fix warning in setjmp/jmpbug.c.
      Fix test-strchr.c warnings for wide string testing.
      Remove TEST_IFUNC, tests-ifunc and *-ifunc.c tests.
      Fix warnings in fwscanf / rewind tests.
      FIx ldbl-128ibm frexpl for 32-bit systems (bug 16619, bug 16740).
      Fix sysdeps/unix/sysv/linux/arm/libc-do-syscall.S warning.
      Fix nptl/tst-cancel-self-cancelstate.c warning.
      Fix sysdeps/mips/__longjmp.c warning.
      Avoid warnings for unused results in nscd/connections.c.
      Fix nss/tst-nss-test1.c format warning.
      Fix stdio-common/tst-fmemopen.c format warnings.
      Fix dlfcn/failtestmod.c warning.
      Fix libio/bug-ungetwc1.c warning.
      Avoid deprecated sigblock in misc/tst-pselect.c.
      Make linknamespace tests check only relevant libraries.
      Fix elf/tst-unique4lib.cc warning.
      Fix fgets_unlocked namespace issues (bug 17664).
      Remove excess declarations from unistd.h for XPG3/XPG4 (bug 17665).
      Fix warning in posix/tst-getopt_long1.c.
      Fix -Waddress warnings in nptl/tst-mutex1.c.
      Fix warning in nptl/tst-stack4.c.
      Fix getifaddrs, freeifaddrs namespace (bug 17668).
      Remove some linknamespace test XFAILs.
      Fix linknamespace getdate_err handling.
      Fix linknamespace h_errno handling.
      Fix pthreads getrlimit, gettimeofday namespace (bug 17682).
      Add macros for diagnostic control, use for scanf %a tests.
      Disable -Wdiv-by-zero for some tests in stdio-common/tst-unlockedio.c.
      Disable -Wdeprecated-declarations for register_printf_function calls in tst-printfsz.c.
      Use -Werror by default, add --disable-werror.
      Fix tst-ftell-active-handler.c warning.
      Fix strftime wcschr namespace (bug 17634).
      Fix MIPS sigaction build.
      Fix MIPS waitid build.
      Clean up localedata tests printf formats, don't use -Wno-format.
      Add more headers to include/ for conform tests.
      Move semaphore.h to sysdeps/pthread/.
      Remove some semaphore.h linknamespace XFAILs.
      Fix resolver if_* namespace (bug 17717).
      Fix x86_64 memrchr namespace (bug 17719).
      Fix resolver inet_* namespace (bug 17722).
      Fix profil_counter namespace (bug 17725).
      Fix resolver bind, getsockname namespace (bug 17733).
      Split __kernel_standard* functions (fixes bug 17724).
      Make __ASSUME_UTIMES hppa-specific.
      Fix libm feraiseexcept namespace (bug 17723).
      Clean up powerpc fegetround / __fegetround inlines.
      Fix libm fegetenv namespace (bug 17748).
      Update copyright dates with scripts/update-copyrights.
      Update copyright dates not handled by scripts/update-copyrights.
      Use single year in copyright notice in banner in ntpl/version.c.
      Fix MIPS bits/fcntl.h namespace (bug 17780).
      Fix MIPS sa_flags type (bug 17781).
      Fix MIPS TIOCSER_TEMT namespace (bug 17782).
      Fix libm fegetround namespace (bug 17748).
      Fix wordsize-64 posix_fadvise64, posix_fallocate64 namespace (bug 17777).
      Fix isblank / isascii / toascii namespace (bug 17635).
      Fix ARM posix_fadvise64 namespace (bug 17793).
      Fix MIPS n64 posix_fadvise namespace (bug 17796).
      Fix libm feholdexcept namespace (bug 17748).
      Fix libm fesetenv namespace (bug 17748).
      Fix libm fesetround namespace (bug 17748).
      Fix libm feupdateenv namespace (bug 17748).
      Fix ldbl-96 scalblnl for subnormal arguments (bug 17834).
      Fix ldbl-96 scalblnl underflowing results (bug 17803).
      Fix powerpc-nofpu fesetenv namespace (bug 17748).
      soft-fp: Use __label__ for all labels within macros.
      Disable 64-bit atomics for MIPS n32.

Kaz Kojima (1):
      * Fix SH specific compiler warnings which are for integer-pointer

Kostya Serebryany (3):
      remove nested function hack_digit
      remove nested functions from elf/dl-deps.c
      remove nested functions from elf/dl-load.c

Leonhard Holz (4):
      strcoll: improve performance by removing the cache (#15884)
      Fix tst-strcoll-overflow returning before timeout (BZ #17506)
      Speed up strcoll by inlining
      Fix memory handling in strxfrm_l [BZ #16009]

Ma Shimiao (1):
      manual: fix addmntent's MT-Safety race annotation

Maciej W. Rozycki (1):
      MIPS: Avoid a dangling `vfork@GLIBC_2.0' reference

Marcus Shawcroft (1):
      Fix ChangeLog formatting of previous commit.

Marek Polacek (1):
      Fix tst_wcscpy.c test.

Martin Sebor (1):
      Clarify math/README.libm-test. Add "How to read the test output."

Matthew Fortune (5):
      Add a hook to enable load-time inspection of program headers
      Add support for MIPS O32 FPXX and .MIPS.abiflags
      Fix MIPS variable PAGE_SIZE bug (16191)
      NEWS for MIPS ABIs
      MicroBlaze: Fix BZ17791 - Remove fixed page size macros and others

Mike Frysinger (1):
      arm: drop EABI check

Ondřej Bílka (8):
      Sync recvmmsg prototype with kernel usage.
      Fix typo in changelog.
      Return allocated array instead of unallocated.
      Simplify strncat.
      Clean up check_pf allocation pattern. addresses
      Add changelog
      Suppress warning in string/tester.c for gcc 4.9
      Revert "Suppress warning in string/tester.c for gcc 4.9"

Paul Eggert (1):
      fnmatch: work around GCC compiler warning bug with uninit var

Paul Pluzhnikov (1):
      CVE-2015-1472: wscanf allocates too little memory

Petar Jovanovic (1):
      mips: Do not use jal to reach __libc_start_main

Pravin Satpute (2):
      New locale ce_RU (BZ #17192)
      New locale raj_IN (#16857)

Rajalakshmi Srinivasaraghavan (3):
      powerpc: strtok{_r} optimization for powerpc64
      powerpc: POWER7 strcpy optimization for unaligned strings
      powerpc: Optimize POWER7 strcmp trailing checks

Rasmus Villemoes (1):
      Fix prototype of eventfd.

Renlin Li (1):
      [AArch64] End frame record chain correctly.

Richard Earnshaw (5):
      [AArch64] Add optimized strchrnul.
      [AArch64] Fix strchrnul clobbering v15
      * string/stpcpy.c (__stpcpy): Rewrite using strlen and memcpy.
      AArch64 optimized implementation of strrchr.
      AArch64: Optimized implementations of strcpy and stpcpy.

Richard Henderson (2):
      alpha: Fix soft-fp breakage
      Add -Wno-trampolines as needed

Roland McGrath (62):
      Move findidx nested functions to top-level.
      Don't use a nested function in rpmatch.
      Minor cleanup in ld-ctype.c
      Minor cleanup in locale.c
      Remove unnecessarily nested function in do_lookup_unique.
      BZ#17460: Fix buffer overrun in nscd --help.
      Remove sysdeps/arm/soft-fp directory.
      Fix NPTL build error when missing __NR_set_robust_list.
      NPTL: Conditionalize more uses of SIGCANCEL and SIGSETXID.
      NPTL: Conditionalize direct futex syscall uses.
      NPTL: Clean up THREAD_SYSINFO macros.
      Remove obsolete TLS_DEFINE_INIT_TP fallback.
      Make internal lock-init macros return void.
      NPTL: Add some missing #include's
      NPTL: Clean up gratuitous Linuxism in libpthread.so entry point.
      Tiny refactoring in fts to eliminate a warning.
      Avoid local PLT reference in __nptl_main.
      ARM: Use movw/movt more when available
      Rework some nscd code not to use variable-length struct types.
      Prototypify htonl and htons definitions.
      Rework compiler version check in configure.
      Clean up wchar_t conversion code in iconv program.
      Clean up internal ctype.h header.
      BZ#17496: Fix gnu/lib-names.h dependency.
      NPTL: Move __libc_multiple_threads_ptr defn to nptl-init.c
      Remove sigvec.
      NPTL: Refactor createthread.c
      NPTL: Move Linux-specific createthread.c to sysdeps.
      NPTL: Add stub createthread.c
      Test that pthread_create diagnoses invalid scheduling parameters.
      NPTL: Don't (re)validate sched_priority in pthread_create.
      NPTL: Refactor scheduler setup in pthread_create.
      NPTL: Conditionalize asynchronous cancellation support on [SIGCANCEL].
      NPTL: Use __libc_fatal in unwind.c.
      NPTL: Fix pthread_create regression from default-sched.h refactoring.
      De-warning a few stubs.
      Fix -Wformat-security warnings in posix/regexbug1.c
      Eliminate -Wno-format from printf/scanf tests.
      Suppress -Wformat-security in tst-error1.c.
      Refactor shm_{open,unlink} code to separate Linux-specific directory choice from POSIX-generic code.
      Fix NPTL build for !__ASSUME_SET_ROBUST_LIST case.
      NPTL: Add stubs for Linux-only extension functions.
      NPTL: Refactor named semaphore code to use shm-directory.h
      Use pragmas rather than makefiles for necessary options for unwind code.
      Revert "Use pragmas rather than makefiles for necessary options for unwind code."
      Use PTR_MANGLE on libgcc unwinder function pointers.
      Remove explicit inline on malloc perturb functions.
      Fix stub __if_freenameindex build error.
      NPTL: Remove gratuitous Linuxisms from gai_misc.h.
      NPTL: Move fork state variables to initializer files.
      ARM: Consolidate with generic unwinder wrapper code
      NPTL: Refactor cpu_set_t validation to be sysdeps-controlled
      Add stub sys/procfs.h file
      NPTL: Fixed missed conditionalization of setxid hooey.
      NPTL: Fix generic pthread_sigmask.
      Fix copyright year on new stub sys/procfs.h file.
      Clean up allocrtsig code.
      Some #include cleanup in aio/timer code.
      Fix shm-directory.h #include.
      Remove some references to bcopy/bcmp/bzero.
      Add missing libc_hidden_def to stub getrlimit64.
      Add missing libc_hidden_weak to stub if_nameindex, if_freenameindex.

Ryan Cumming (1):
      Define CLOCK_TAI on Linux (bug 17608)

Samuel Thibault (1):
      hurd: Fix dlopening libraries from static programs

Siddhesh Poyarekar (53):
      Return failure in getnetgrent only when all netgroups have been searched (#17363)
      Enhance tst-xmmymm.sh to detect zmm register usage in ld.so (BZ #16194)
      Fix typo in macro names in sysconf.c
      Add correct variable names for _POSIX_IPV6 and _POSIX_RAW_SOCKETS
      Remove _POSIX_REGEX_VERSION
      Revert to defining __extern_inline only for gcc-4.3+ (BZ #17266)
      Add NEWS entry for previous commit
      Fix memory leak in error path of do_ftell_wide (BZ #17370)
      Make __extern_always_inline usable on clang++ again
      Assume that all _[PS]C_* and _CS_* macros are always defined
      Include .interp section only for libc.so
      Remove CFLAGS for interp.c
      Fix infinite loop in check_pf (BZ #12926)
      Fix up incorrect formatting in last commit
      Fix stack alignment when loader is invoked directly
      Use GOT instead of GOT12 all over
      Add new macro IN_MODULE to identify module in which source is built
      Fix -Wundef warning in SHLIB_COMPAT
      Auto-generate libc-modules.h
      Use MODULE_NAME in stap-probe instead of IN_LIB
      Remove IN_LIB
      Define IN_MODULE for translation units that define NOT_IN_libc
      Remove IS_IN_libc
      Remove IS_IN_ldconfig
      Remove IS_IN_nscd
      Remove IS_IN_libdl
      Remove IS_IN_librt
      Remove IS_IN_libpthread
      Remove IS_IN_libm
      Remove IS_IN_rtld
      Remove last place for definition of IS_IN_* macros
      Remove NOT_IN_libc
      Use IS_IN internally only
      Don't use __warn_memset_zero_len for gcc-5.0 or newer
      Update NEWS for previous two commits
      ftell: seek to end only when there are unflushed bytes (BZ #17647)
      tst-ftell-active-handler: Open file with O_TRUNC for w modes
      Reset cached offset when reading to end of stream (BZ #17653)
      Fix up function definition style
      Fix date in ChangeLog
      Fix another typo in the ChangeLog
      Fix 'array subscript is above array bounds' warning in res_send.c
      Fix the 'array subscript is above array bounds' warning correctly
      Remove Wundef warnings for specification macros
      Add _POSIX namespace SYSCONF macros to posix-conf-vars.list
      Use posix-conf-vars.list to generate spec array
      Make type for spec variable size as size_t
      Use one-dimension arrays in gen-posix-conf-vars.awk
      Remove uses of sprintf in gen-posix-conf-vars.awk
      Fix typo in ChangeLog
      [s390] Define a __tls_get_addr macro to avoid declaring it again
      Initialize nscd stats data [BZ #17892]
      Fix up ChangeLog formatting

Stefan Liebler (13):
      S/390: Get rid of warning: the comparision will always evaluate as false.
      S/390: Get rid of warning unused variable in dl-machine.h.
      S/390: Add SystemTap probes to longjmp and setjmp.
      S/390: dl-machine.h: Use numbered labels in inline assembly.
      Add missing include of libc-internal.h.
      S/390: Get rid of assembler warning value truncated.
      Get rid of warning inlining failed in call to maybe_swap_uint32
      Get rid of warning comparision will always evaluate as true
      resolv: Suppress maybe uninitialized warning
      Get rid of format warning in tst-widetext.c.
      Get rid of format warning in bug-vfprintf-nargs.c.
      S390: Get rid of linknamespace failures for string functions.
      S390: Get rid of linknamespace failures for utmp functions.

Steve Ellcey (19):
      Modify ABI tests in MIPS preconfigure.
      Put mips preconfigure code inside mips* case statement.
      * sysdeps/mips/strcmp.S: New.
      Remove extra whitespace from end of line.
      2014-12-10  Steve Ellcey  <sellcey@imgtec.com>
      2014-12-11  Steve Ellcey  <sellcey@imgtec.com>
      * sysdeps/mips/dl-trampoline.c: Modify switch expression to have
      2014-12-17  Steve Ellcey  <sellcey@imgtec.com>
      2014-12-19  Steve Ellcey  <sellcey@imgtec.com>
      2014-12-19  Steve Ellcey  <sellcey@imgtec.com>
      Remove trailing white space.
      Add missing ChangeLog entries from Friday (Dec 19, 2014).
      Remove trailing whitespace.
      2014-12-22  Steve Ellcey  <sellcey@imgtec.com>
      Fix preprocessor indentation in sysdeps/mips/memcpy.S.
      2015-01-05  Steve Ellcey  <sellcey@imgtec.com>
      2015-01-05  Steve Ellcey  <sellcey@imgtec.com>
      2015-01-05  Steve Ellcey  <sellcey@imgtec.com>
      Merge branch 'master' of ssh://sourceware.org/git/glibc

Tatiana Udalova (1):
      New Bhilodi and Tulu locales (BZ #17475)

Tim Lammens (1):
      Fix memory leak in libio/wfileops.c do_ftell_wide [BZ #17370]

Tom de Vries (1):
      Fix crossreference to nonexistent node BSD Handler

Torvald Riegel (24):
      pthread_once: Clean up constants.
      pthread_once: Add fast path and remove x86 variants.
      Fix SPARC atomic_write_barrier.
      powerpc: Change atomic_write_barrier to have release semantics.
      Add arch-specific configuration for C11 atomics support.
      Add atomic operations similar to those provided by C11.
      Add tests for C11-like atomic operations.
      Use C11 atomics in pthread_once.
      microblaze: 64b atomic operations are not supported.
      Fix synchronization of TPP min/max priorities.
      Remove custom pthread_once implementation on sh.
      Remove custom pthread_once implementation on s390.
      Fix nptl/tst-mutex5.c: Do not skip tests if elision is enabled.
      Fix nptl/tst-sem4: always start with a fresh semaphore.
      Add comments for the generic lowlevellock implementation.
      Fix warning in elf/tst-unique4lib.cc.
      Fix warning in misc/tst-mntent2.c.
      Ignore warning in string/tester.c.
      sh: Remove custom lowlevellock, barrier, condvar, and rwlock implementations.
      Use generic lowlevellock-futex.h in x86_64 lowlevellock.h.
      i386: Move futex functions from lowlevellock.h to lowlevellock-futex.h.
      MicroBlaze: Remove custom pthread_once implementation on microblaze.
      MicroBlaze: Remove custom lowlevellock.h.
      Fix wake-up in sysdeps/nptl/fork.c.

Vladimir A. Nazarenko (1):
      Fix incorrect mount table entry parsing in __getmntent_r

Wilco Dijkstra (18):
      Remove spaces.
      Remove an unused include.
      Cleanup fesetexceptflag to use the same logic as the ARM version. No functional changes.
      Cleanup feclearexcept to use the same logic as the ARM version. No functional changes.
      Cleanup fedisableexcept to use the same logic as the ARM version. No functional changes.
      Cleanup feenableexcept to use the same logic as the ARM version. No functional changes.
      Call get_rounding_mode rather than duplicating functionality.
      Call libc_feholdexcept_aarch64 from math_private.h rather than duplicating functionality.
      Call libc_fetestexcept_aarch64 from math_private.h rather than duplicating functionality.
      This patch improves strcat performance by using strlen and strcpy. Strlen has a fast C
      This patch improves strncat performance by using strlen. Strlen has a fast C implementation, so
      Improve strcpy performance.
      Improve performance of strncpy.
      Fix typo.
      Call libc_fesetround_aarch64.
      Call libc_fetestexcept_aarch64.
      Optimize to reduce FPCR/FPSR accesses.
      Optimize to avoid an unnecessary FPCR read.

Will Newton (10):
      ARM: Don't define _SYS_AUXV_H in sysdep.h
      Allow cross-building of tests
      stdlib/tst-strtod-round.c: Fix build on ARM
      benchtests: Add malloc microbenchmark
      AArch64: Update relocations for ILP32
      AArch64: Use ELF macros rather than Elf64 throughout
      intl: Merge with gettext version 0.19.3
      Bump required version of texinfo to 4.7
      Require bison 2.7 or newer for regenerating intl/plural.y
      ARM: Remove configure check for binutils 2.21 for ARMv7

-----------------------------------------------------------------------
Comment 8 Mike FABIAN 2015-03-05 08:21:22 UTC
(In reply to Tatiana Udalova from comment #2)
> ISO codes for tcy were taken from here:
> http://en.wikipedia.org/wiki/ISO_639:t
> ISO codes for bhb were taken from here:
> http://en.wikipedia.org/wiki/ISO_639:b
> 
> "terminology language code `tcy' not defined" problem also was fixed in our
> patch.
> Current localedef has no information about tulu and bhilodi languages. Such
> information should be added to libc/locale/iso-639.def.
> Our patch adds this information, but localedef should be rebuilded after
> that.

The wikipedia links given seem to show that there are no iso 639-1 codes
for these languages.

So the locales should probably use the 3 letter iso 639-3 codes:

tu_IN -> tcy_IN
bh_IN -> bhb_IN

(The 2 letter code "bh" is already the iso 639-1 code for Bihari:
http://en.wikipedia.org/wiki/Bihari_languages)
Comment 9 Pravin S 2015-03-05 11:54:28 UTC
Created attachment 8172 [details]
Patch to correct localecodes of Bhili and Tulu language

Correct code for Bhili http://www-01.sil.org/iso639-3/documentation.asp?id=bhb
Correct code for Tulu  http://www-01.sil.org/iso639-3/documentation.asp?id=tcy

For localedata/Changelog
2015-03-05  Pravin Satpute  <psatpute@redhat.com>

        [BZ #17475]
        * locales/tu_IN: renamed to tcy_IN
        * locales/bh_IN: New Bhili locale bhb_IN 
	* locale/iso-639.def

Common Changelog
2015-03-05  Pravin Satpute  <psatpute@redhat.com>

        [BZ #17475]
        * locale/iso-639.def: Update Bhili and Tulu language codes as per iso639-3
Comment 10 Pravin S 2015-06-17 12:27:23 UTC
ping..
We should fix this ASAP so users will not start using wrong locale.
Comment 11 cvs-commit@gcc.gnu.org 2015-07-15 10:38:00 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  032c510db06cee5ee2b254611c44b3744660417a (commit)
      from  0035851c3c13f26b92fc076540d112069918a3e1 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=032c510db06cee5ee2b254611c44b3744660417a

commit 032c510db06cee5ee2b254611c44b3744660417a
Author: Pravin Satpute <psatpute@redhat.com>
Date:   Wed Jul 15 16:06:17 2015 +0530

    Correcting language code for Bhili and Tulu locales (bug 17475)
    
    Bhili [1] and Tulu [2] language does not have iso-639-1 codes. Patch
    moves locale file with correct code and also fix iso-639.def.
    
    1. http://www-01.sil.org/iso639-3/documentation.asp?id=bhb
    2. http://www-01.sil.org/iso639-3/documentation.asp?id=tcy
    
    localedata/ChangeLog:
    
    2015-07-02  Pravin Satpute  <psatpute@redhat.com>
    
    	[BZ #17475]
            * locales/tu_IN: renamed to tcy_IN
    	* locales/bh_IN: renamed to bhb_IN
    
    Changelog:
    
    2015-03-05  Pravin Satpute  <psatpute@redhat.com>
    
    	[BZ #17475]
    	* locale/iso-639.def: Update Bhili and Tulu language codes as
    	per iso639-3.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                            |    6 ++++++
 NEWS                                 |   30 +++++++++++++++---------------
 locale/iso-639.def                   |    4 ++--
 localedata/ChangeLog                 |    6 ++++++
 localedata/locales/{bh_IN => bhb_IN} |   24 ++++++++++++------------
 localedata/locales/{tu_IN => tcy_IN} |   24 ++++++++++++------------
 6 files changed, 53 insertions(+), 41 deletions(-)
 rename localedata/locales/{bh_IN => bhb_IN} (92%)
 rename localedata/locales/{tu_IN => tcy_IN} (92%)
Comment 12 Siddhesh Poyarekar 2015-07-15 10:41:42 UTC
Fixed in master.
Comment 13 Khem Raj 2015-07-17 21:40:50 UTC
Does this build for you ?
I am getting 

LC_ADDRESS: field `lang_ab' must not be defined

when compiling both these locales.
Comment 14 cvs-commit@gcc.gnu.org 2015-07-21 02:11:02 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  536fb977807bf15f56d1ad23111e3f1a849c3030 (commit)
      from  7fde904c73c57faea48c9679bbdc0932d81b3a2f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=536fb977807bf15f56d1ad23111e3f1a849c3030

commit 536fb977807bf15f56d1ad23111e3f1a849c3030
Author: Khem Raj <raj.khem@gmail.com>
Date:   Fri Jul 17 02:16:59 2015 -0700

    Reflect renaming of bh_IN and tu_IN in SUPPORTED file [BZ #17475]

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                                      |    6 ++++++
 benchtests/strcoll-inputs/filelist#en_US.UTF-8 |    4 ++--
 localedata/ChangeLog                           |    9 +++++++--
 localedata/SUPPORTED                           |    4 ++--
 4 files changed, 17 insertions(+), 6 deletions(-)
Comment 15 Pravin S 2015-07-21 05:02:30 UTC
(In reply to Khem Raj from comment #13)
> Does this build for you ?
> I am getting 
> 
> LC_ADDRESS: field `lang_ab' must not be defined
> 
> when compiling both these locales.

Please try latest git and let me know if any problem.
Comment 16 cvs-commit@gcc.gnu.org 2015-08-05 06:54:09 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The annotated tag, glibc-2.22 has been created
        at  be75ddf5e4dfab2aa4ceb2428cc146e7ea26a346 (tag)
   tagging  78bd7499af46d739ce94410eaeea006e874ca9e5 (commit)
  replaces  glibc-2.21
 tagged by  Carlos O'Donell
        on  Wed Aug 5 02:45:12 2015 -0400

- Log -----------------------------------------------------------------
The GNU C Library
=================

The GNU C Library version 2.22 is now available.

The GNU C Library is used as *the* C library in the GNU system and
in GNU/Linux systems, as well as many other systems that use Linux
as the kernel.

The GNU C Library is primarily designed to be a portable
and high performance C library.  It follows all relevant
standards including ISO C11 and POSIX.1-2008.  It is also
internationalized and has one of the most complete
internationalization interfaces known.

The GNU C Library webpage is at http://www.gnu.org/software/libc/

Packages for the 2.22 release may be downloaded from:
        http://ftpmirror.gnu.org/libc/
        http://ftp.gnu.org/gnu/libc/

The mirror list is at http://www.gnu.org/order/ftp.html

NEWS for version 2.22
=====================

* The following bugs are resolved with this release:

  438, 4719, 6544, 6792, 11216, 12836, 13028, 13064, 13151, 13152, 14094,
  14292, 14841, 14906, 14958, 15319, 15467, 15790, 15969, 16159, 16339,
  16350, 16351, 16352, 16353, 16361, 16512, 16526, 16538, 16559, 16560,
  16704, 16783, 16850, 17053, 17090, 17195, 17269, 17293, 17322, 17403,
  17475, 17523, 17542, 17569, 17581, 17588, 17596, 17620, 17621, 17628,
  17631, 17692, 17711, 17715, 17776, 17779, 17792, 17833, 17836, 17841,
  17912, 17916, 17930, 17932, 17944, 17949, 17964, 17965, 17967, 17969,
  17977, 17978, 17987, 17991, 17996, 17998, 17999, 18007, 18019, 18020,
  18029, 18030, 18032, 18034, 18036, 18038, 18039, 18042, 18043, 18046,
  18047, 18049, 18068, 18080, 18093, 18100, 18104, 18110, 18111, 18116,
  18125, 18128, 18134, 18138, 18185, 18196, 18197, 18206, 18210, 18211,
  18217, 18219, 18220, 18221, 18234, 18244, 18245, 18247, 18287, 18319,
  18324, 18333, 18346, 18371, 18383, 18397, 18400, 18409, 18410, 18412,
  18418, 18422, 18434, 18444, 18457, 18468, 18469, 18470, 18479, 18483,
  18495, 18496, 18497, 18498, 18502, 18507, 18508, 18512, 18513, 18519,
  18520, 18522, 18527, 18528, 18529, 18530, 18532, 18533, 18534, 18536,
  18539, 18540, 18542, 18544, 18545, 18546, 18547, 18549, 18553, 18557,
  18558, 18569, 18583, 18585, 18586, 18592, 18593, 18594, 18602, 18612,
  18613, 18619, 18633, 18641, 18643, 18648, 18657, 18676, 18694, 18696.

* Cache information can be queried via sysconf() function on s390 e.g. with
  _SC_LEVEL1_ICACHE_SIZE as argument.

* A buffer overflow in gethostbyname_r and related functions performing DNS
  requests has been fixed.  If the NSS functions were called with a
  misaligned buffer, the buffer length change due to pointer alignment was
  not taken into account.  This could result in application crashes or,
  potentially arbitrary code execution, using crafted, but syntactically
  valid DNS responses.  (CVE-2015-1781)

* The time zone file parser has been made more robust against crafted time
  zone files, avoiding heap buffer overflows related to the processing of
  the tzh_ttisstdcnt and tzh_ttisgmtcnt fields, and a stack overflow due to
  large time zone data files.  Overly long time zone specifiers in the TZ
  variable no longer result in stack overflows and crashes.

* A powerpc and powerpc64 optimization for TLS, similar to TLS descriptors
  for LD and GD on x86 and x86-64, has been implemented.  You will need
  binutils-2.24 or later to enable this optimization.

* Character encoding and ctype tables were updated to Unicode 7.0.0, using
  new generator scripts contributed by Pravin Satpute and Mike FABIAN (Red
  Hat).  These updates cause user visible changes, such as the fix for bug
  17998.

* CVE-2014-8121 The NSS backends shared internal state between the getXXent
  and getXXbyYY NSS calls for the same database, causing a denial-of-service
  condition in some applications.

* Added vector math library named libmvec with the following vectorized x86_64
  implementations: cos, cosf, sin, sinf, sincos, sincosf, log, logf, exp, expf,
  pow, powf.
  The library can be disabled with --disable-mathvec. Use of the functions is
  enabled with -fopenmp -ffast-math starting from -O1 for GCC version >= 4.9.0.
  Shared library libmvec.so is linked in as needed when using -lm (no need to
  specify -lmvec explicitly for not static builds).
  Visit <https://sourceware.org/glibc/wiki/libmvec> for detailed information.

* A new fmemopen implementation has been added with the goal of POSIX
  compliance. The new implementation fixes the following long-standing
  issues: BZ#6544, BZ#11216, BZ#12836, BZ#13151, BZ#13152, and BZ#14292. The
  old implementation is still present for use be by existing binaries.

* The 32-bit sparc sigaction ABI was inadvertently broken in the 2.20 and 2.21
  releases.  It has been fixed to match 2.19 and older, but binaries built
  against 2.20 and 2.21 might need to be recompiled.  See BZ#18694.

* Port to Native Client running on ARMv7-A (--host=arm-nacl).
  Contributed by Roland McGrath (Google).

Contributors
============

This release was made possible by the contributions of many people.
The maintainers are grateful to everyone who has contributed
changes or bug reports.  These include:

Adhemerval Zanella
Alan Modra
Alexandre Oliva
Andreas Schwab
Andrew Senkevich
Andriy Rysin
Arjun Shankar
Aurelien Jarno
Benno Schulenberg
Brad Hubbard
Carlos O'Donell
Chris Metcalf
Christian Schmidt
Chung-Lin Tang
Cong Wang
Cyril Hrubis
Daniel Marjamäki
David S. Miller
Dmitry V. Levin
Eric Rannaud
Evangelos Foutras
Feng Gao
Florian Weimer
Gleb Fotengauer-Malinovskiy
H.J. Lu
Igor Zamyatin
J William Piggott
James Cowgill
James Lemke
John David Anglin
Joseph Myers
Kevin Easton
Khem Raj
Leonhard Holz
Mark Wielaard
Marko Myllynen
Martin Galvan
Martin Sebor
Matthew Fortune
Mel Gorman
Mike Frysinger
Miroslav Lichvar
Nathan Lynch
Ondřej Bílka
Paul Eggert
Paul Pluzhnikov
Pavel Kopyl
Pravin Satpute
Rajalakshmi Srinivasaraghavan
Rical Jasan
Richard Henderson
Roland McGrath
Rüdiger Sonderfeld
Samuel Thibault
Siddhesh Poyarekar
Stefan Liebler
Steve Ellcey
Szabolcs Nagy
Torvald Riegel
Tulio Magno Quites Machado Filho
Vincent Bernat
Wilco Dijkstra
Yaakov Selkowitz
Zack Weinberg
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAABAgAGBQJVwbEHAAoJECXvCkNsKkr//nwH/RbC+AmWbbrY7POeygVVxZVv
6ww/s4WOx3MJc0VNhQucelDCmRVRfKdoqtiex2bcysOiK2mv6K4efgYV7dkilT5O
NhpjENGE2qCvRIeplmDdGDBTLwhxwcQoQXrFYtcayEXpeCHoJjSzY9PyeNWGvmLM
eEah8kVPh6FsNf/YD28MXtChCpfoZf5IrVhXvn7+f2zPjUEy1PuHmo2kU9LzoCRu
q3xtd8ICpVkAvFCoUnN7YEOITj3g9Qd+zGebfj8LpVL5zoQs9n2egSv+jIdNGQVI
XuQ+oVXuMd9ho1p6LayZpTsY19jALxgk8ysnTzBofi+1Zkc8FTEB0fFdplDIwMg=
=9uQ7
-----END PGP SIGNATURE-----

Adhemerval Zanella (36):
      powerpc: multiarch Makefile cleanup for powerpc64
      powerpc: Simplify bcopy default implementation
      powerpc: Remove POWER7 wordcopy ifunc
      powerpc: wordcopy/memmove cleanup for ppc64
      powerpc: multiarch Makefile cleanup for powerpc32
      powerpc: wordcopy/memmove cleanup for ppc32
      powerpc: sysdeps/powerpc configure cleanup
      powerpc: drop R_PPC_REL16 check
      powerpc: Fix TABORT encoding for little endian
      powerpc: Fix memmove static build
      powerpc: Fix inline feraiseexcept, feclearexcept macros
      Update powerpc-fpu ULPs.
      powerpc: Fix incorrect results for pow when using FMA
      powerpc: Remove HAVE_ASM_GLOBAL_DOT_NAME define
      powerpc: Fix __wcschr static build
      libc-vdso.h place consolidation
      Fix non-portable echo usage in sysdeps/unix/make-syscalls.sh
      Add BZ #16704 as fixed
      Fix stdlib/tst-setcontext3 with dash [BZ#18418]
      i386: Remove six-argument specialized implementations
      Remove socket.S implementation
      Consolidate vDSO macros and usage
      Consolidate gettimeofday across aarch64/s390/tile
      Update powerpc-fpu libm-test-ulps.
      Fix ChangeLog entry
      x86: clock_gettime and timespec_get vDSO cleanup
      Use inline syscalls for non-cancellable versions
      nptl: Rewrite cancellation macros
      Consolidate sched_getcpu
      x86: Remove vsyscall usage
      libio: fmemopen rewrite to POSIX compliance
      libio: Update tst-fmemopen2.c
      libio: Update powerpc64le libc.abilist
      Avoid C++ tests when the C++ cannot be linked
      libio: Fix fmemopen 'w' mode with provided buffer
      Update powerpc-fpu libm-test-ulps.

Alan Modra (5):
      Fix localplt test breakage with new readelf
      Remove HAVE_ASM_PPC_REL16 references
      powerpc64 configure message
      powerpc __tls_get_addr call optimization
      Harden powerpc64 elf_machine_fixup_plt

Alexandre Oliva (6):
      Unicode 7.0.0 update; added generator scripts.
      Amendments to Unicode 7 update.
      BZ #15969: search locale archive again after alias expansion
      Fix constness error just introduced in findlocale.
      Avoid unsafe loc_name type casts with additional variable
      Fix DTV race, assert, DTV_SURPLUS Static TLS limit, and nptl_db garbage

Andreas Schwab (16):
      Fix value of O_TMPFILE for architectures with non-default O_DIRECTORY (bug 17912)
      Filter out PTHREAD_MUTEX_NO_ELISION_NP bit in pthread_mutexattr_gettype (BZ #15790)
      Fix failure of elf/tst-audit2 when compiled with GCC-5
      Fix read past end of pattern in fnmatch (bug 18032)
      Fix parallel build error
      Don't define __CORRECT_ISO_CPP_STRING_H_PROTO for non-GCC compilers (bug 17631)
      m68k: fix 64-bit arithmetic in atomic operations (bug 18128)
      aarch64: Increase MINSIGSTKSZ and SIGSTKSZ (bug 16850)
      Separate internal state between getXXent and getXXbyYY NSS calls (bug 18007)
      Simplify handling of nameserver configuration in resolver
      Record TTL also for DNS PTR queries (bug 18513)
      Fix buffer overflow for writes to memory buffer stream (bug 18549)
      Update NEWS
      m68k: update libm test ULPs
      Fix spurious conform test failures
      Properly terminate FDE in makecontext for ix86 (bug 18635)

Andrew Senkevich (29):
      This is the beginning of series of patches with addition
      Refactoring of START for conditions in individual tests
      Last part of changes regarding to libm-test.inc: addition
      This patch adds infrastructure for addition of SIMD
      This is update for configure, build and install of vector math library.
      Localplt testing for vector math library and libmvec_hidden_* macro series.
      This patch adds detection of availability for AVX512F and AVX512DQ ISAs.
      Start of series of patches with x86_64 vector math functions.
      Addition of testing infrastructure for vector math functions.
      Vector cosf for x86_64.
      This patch adds vector cosf tests.
      More strict check of AVX512 support in assembler.
      Vector sin for x86_64 and tests.
      Vector sinf for x86_64 and tests.
      Vector log for x86_64 and tests.
      Vector logf for x86_64 and tests.
      Vector exp for x86_64 and tests.
      Vector expf for x86_64 and tests.
      Vector pow for x86_64 and tests.
      Vector powf for x86_64 and tests.
      Vector sincos for x86_64 and tests.
      Vector sincosf for x86_64 and tests.
      Fixed powerpc64 build.
      Combination of data tables for x86_64 vector functions sin, cos and sincos.
      Combination of data tables for x86_64 vector functions sinf, cosf and sincosf.
      More correct description of linking with vector math library.
      Fixed several libmvec bugs found during testing on KNL hardware.
      Added runtime check for AVX vector math tests.
      Prevent runtime fail of SSE vector math tests on non SSE4.1 machine.

Andriy Rysin (1):
      Fix sorting order for Ukrainian locale (BZ 17293)

Arjun Shankar (4):
      CVE-2015-1781: resolv/nss_dns/dns-host.c buffer overflow [BZ#18287]
      Ensure `wint_t' is defined before use in include/stdio.h
      Modify elf/tst-audit9.c to use test-skeleton.c
      Modify several tests to use test-skeleton.c

Aurelien Jarno (1):
      Fix ldconfig segmentation fault with corrupted cache (Bug 18093).

Benno Schulenberg (1):
      sprof: Make an error message identical to two others, and more accurate.

Brad Hubbard (1):
      Use calloc to allocate xports (BZ #17542)

Carlos O'Donell (15):
      Open development for 2.22.
      Fix missing ChangeLog attribution.
      NEWS: Fix spelling.
      Use alignment macros, pagesize and powerof2.
      hppa: Update libm-test-ulps.
      hppa: Fix feupdateenv and fesetexceptflag (Bug 18111).
      Enhance nscd's inotify support (Bug 14906).
      Bug 18125: Call exit after last linked context.
      Fail locale installation if localedef fails.
      Add sprintf benchmark.
      Fix ruserok scalability with large ~/.rhosts file.
      Add missing Advanced API (RFC3542) (1) defines.
      Regenerate libc.pot for 2.22 release.
      Updated translations for 2.22.
      Update version.h and include/features.h for 2.22 release

Chris Metcalf (8):
      linux-generic: add a README
      tile: Enable PI_STATIC_AND_HIDDEN
      tile: use better variable naming in INLINE_SYSCALL
      math/test-fenvinline: avoid compiler warning
      tile: Regenerate ULPs.
      tst-leaks: raise timeout to 5 seconds
      tile: Fix BZ #18508 (makecontext yield infinite backtrace)
      tilepro: fix warnings in sysdeps/tile/tilepro/bits/atomic.h

Christian Schmidt (1):
      Update currency_symbol in da_DK

Chung-Lin Tang (5):
      Adjust timeouts for some tests, to accommodate slow processors,
      Fix order of arguments to rt_sigprocmask syscall when setting the signal mask
      Update Nios II ulps file.
      Add #include <string.h> to nptl/tst-join7mod.c to silence GCC warnings.
      Fixes extern protected data handling testcases elf/tst-protected1a

Cong Wang (1):
      in.h: Coordinate in6_pktinfo and ip6_mtuinfo for kernel and glibc [BZ #15850]

Cyril Hrubis (1):
      Set errno to ENOMEM on overflow in sbrk (bug 18592)

Daniel Marjamäki (1):
      Add __nonnull attribute to wcscpy and wcsncpy [BZ#18265]

David S. Miller (7):
      Update SPARC ulps.
      Rebuilt fresh sparc ULPS to get rid of removed tests.
      Convert sparc over to lowlevellock-futex.h
      Sparc memchr/memcmp/strncmp fixes from Il'ya Malakhov.
      Update sparc localplt.data
      Fix sparc build.
      Regenerate SPARC ULPs.

Dmitry V. Levin (3):
      Prepare for restoration of .interp section in libpthread.so
      _res_hconf_reorder_addrs: fix typo in comment
      Fix potential hanging of gethostbyaddr_r/gethostbyname_r

Eric Rannaud (1):
      linux: open and openat ignore 'mode' with O_TMPFILE in flags

Evangelos Foutras (1):
      Fix __memcpy_chk on non-SSE2 CPUs

Feng Gao (1):
      Use "|" instead of "+" when combine the _IO_LINE_BUF and _IO_UNBUFFERED flags

Florian Weimer (32):
      NEWS: Also mention CVE-2015-1473
      _nss_nis_initgroups_dyn: Return status instead of NSS_STATUS_SUCCESS
      vfprintf: Introduce THOUSANDS_SEP_T
      vfprintf: Introduce JUMP_TABLE_BASE_LABEL
      vfprintf: Define WORK_BUFFER_SIZE
      Avoid SIGFPE in wordexp [BZ #18100]
      pthread_setaffinity (Linux variant): Rewrite to use VLA instead of alloca
      Define libc_max_align_t for internal use
      Add struct scratch_buffer and its internal helper functions
      scratch_buffer_grow_preserve: Add missing #include <string.h>
      pldd: Use struct scratch_buffer instead of extend_alloca
      grp: Rewrite to use struct scratch_buffer instead of extend_alloca
      _nss_compat_initgroups_dyn: Use struct scratch_buffer instead of extend_alloca
      getnameinfo: Use struct scratch_buffer instead of extend_alloca
      nscd_getgr_r: Use struct scratch_buffer instead of extend_alloca
      scratch_buffer: Suppress truncation warning on 32-bit
      Do not build with -Winline
      Make time zone file parser more robust [BZ #17715]
      posix_fallocate, posix_fallocate64 stub: Do not set errno
      test-skeleton: Support temporary files without memory leaks [BZ#18333]
      CVE-2014-8121: Do not close NSS files database during iteration [BZ #18007]
      NEWS: BZ#18319 was fixed in commit ed159672eb3cd650a32b7e5cb4d5ec1fe0e63802
      i386: Remove fallocate, fallocate64, posix_fallocate, posix_fallocate64
      __ASSUME_FALLOCATE is always true on 32-bit architectures
      vfprintf: Move jump table definition and the macros out of function
      vfprintf: Introduce printf_positional function
      vfprintf: Remove label name switching for the jump table
      Avoid some aliasing violations in libio
      Fix indentation to match nesting in previous commit
      posix_fallocate: Emulation fixes and documentation [BZ #15661]
      Commit 7fe9e2e089f4990b7d18d0798f591ab276b15f2b fixes [BZ# 17322]
      pthread_key_create: Fix typo in comment

Gleb Fotengauer-Malinovskiy (1):
      nptl: restore .interp section in libpthread.so

H.J. Lu (23):
      Compile gcrt1.o with -fPIC
      Compile vismain with -fPIE and link with -pie
      Replace ELF_RTYPE_CLASS_NOCOPY with ELF_RTYPE_CLASS_COPY
      Replace __attribute__((visibility("protected")))
      Preserve bound registers in _dl_runtime_resolve
      Add ELF_RTYPE_CLASS_EXTERN_PROTECTED_DATA to x86
      Add a testcase for copy reloc against protected data
      Limit threads sharing L2 cache to 2 for SLM/KNL
      Check tzspec_len == 0 in __tzfile_read
      Remove a trailing `\' in make-syscalls.sh
      Don't issue an error if DT_PLTRELSZ is missing
      Make sure that calloc is called at least once
      Don't issue errors on GDB Python files
      Align TCB offset to the maximum alignment
      Support compilers defaulting to PIE
      Add a testcase for i386 LD_AUDIT
      Add and use sysdeps/i386/link-defines.sym
      Add la_symbind32 to x86-64 audit tests
      Improve bndmov encoding with zero displacement
      Replace %ld with %jd and cast to intmax_t
      Sort NEWS
      Add si_addr_bnd to _sigfault in x86 struct siginfo
      Extend local PLT reference check

Igor Zamyatin (1):
      Preserve bound registers for pointer pass/return

J William Piggott (1):
      [BZ #17969]

James Cowgill (1):
      [BZ #17930] MIPS: Define SHM_NORESERVE.

James Lemke (1):
      Fix for test "malloc_usable_size: expected 7 but got 11"

John David Anglin (2):
      hppa: fix __O_SYNC to match the kernel
      hppa: Fix feholdexcpt and fesetenv (Bug 18110).

Joseph Myers (162):
      soft-fp: Support floating-point extensions without quieting sNaNs.
      soft-fp: Refine FP_EX_DENORM handling for comparisons.
      soft-fp: Fix _FP_FMA when product is zero and third argument is finite (bug 17932).
      Remove sysdeps/mips soft-fp subdirectories.
      Fix sincos errno setting (bug 15467).
      Fix exp2 spurious underflows (bug 16560).
      Fix powerpc software sqrt (bug 17964).
      Fix powerpc software sqrtf (bug 17967).
      Fix dbl-64/wordsize-64 remquo (bug 17569).
      Fix MIPS __mips_isa_rev -Werror=undef build.
      Fix MIPS _COMPILING_NEWLIB -Werror=undef build.
      Fix MIPS _ABIO64 -Werror=undef build.
      Fix remquo spurious overflows (bug 17978).
      Fix sign of remquo zero remainder in round-downward mode (bug 17987).
      Refine documentation of libm exceptions goals.
      Fix posix_spawn getrlimit64 namespace (bug 17991).
      Fix search.h namespace (bug 17996).
      Fix atan / atan2 missing underflows (bug 15319).
      Fix scandir scandirat namespace (bug 17999).
      soft-fp: Adjust call to abort for kernel use.
      Fix x86/x86_64 scalb (qNaN, -Inf) (bug 16783).
      Fix ldbl-128ibm acoshl inaccuracy (bug 18019).
      Fix ldbl-128ibm asinhl inaccuracy (bug 18020).
      Fix ldbl-128ibm ilogbl near powers of 2 (bug 18029).
      Fix ldbl-128ibm logbl near powers of 2 (bug 18030).
      Fix asin missing underflows (bug 16351).
      Fix ldbl-128/ldbl-128ibm acosl inaccuracy (bug 18038, bug 18039).
      Avoid uninitialized warnings in Bessel functions.
      Avoid -Wno-write-strings for k_standard.c.
      Add comment to CSTR macro in k_standard.c.
      Fix ldbl-96, ldbl-128ibm atanhl inaccuracy (bug 18046, bug 18047).
      Correct __ASSUME_PRLIMIT64 for hppa/microblaze/sh (bug 17779).
      soft-fp: Condition sfp-machine.h include path on __KERNEL__.
      Fix /* in comment in previous commit.
      soft-fp: Support conditional zero-initialization in declarations.
      soft-fp: Use multiple-include guards.
      Add test for bug 18104.
      soft-fp: Add _FP_UNREACHABLE.
      soft-fp: Define and use _FP_STATIC_ASSERT.
      Make sem_timedwait use FUTEX_CLOCK_REALTIME (bug 18138).
      Note old commit as having resolved bug 11505.
      Add more tests of log2.
      Regenerate x86_64, x86 ulps from scratch.
      Add more tests of cosh, sinh.
      Add more tests of expm1.
      Add more tests of acos.
      Support six-argument syscalls from C for 32-bit x86, use generic lowlevellock-futex.h (bug 18138).
      Add more tests of asin.
      Remove unused macros from i386 lowlevellock.h.
      Add another test of asin.
      Add more tests of acosh, asinh and atanh.
      Fix dbl-64 atan in non-default rounding modes (bug 18197).
      Fix dbl-64 atan2 in non-default rounding modes (bug 18210, bug 18211).
      Add more tests of cabs.
      Add more tests of cbrt.
      Add more tests of atan.
      Add more tests of atanh.
      Add more tests of clog and clog10.
      Fix strtof decimal rounding close to half least subnormal (bug 18247).
      Fix ldbl-128 roundl for exponents in [31, 47] (bug 18346).
      Remove MIPS version of waitid.c.
      Add further tests of cosh and sinh.
      Add more tests of csqrt.
      Add more tests of erf, erfc.
      Add more tests of exp, exp10, exp2, expm1.
      Add more tests of log, log10, log1p, log2.
      Add more tests of lgamma.
      Add another test of pow.
      Add more tests of cos, sin, sincos.
      Add more tests of tan.
      Add more tests of tanh.
      Add more tests of tgamma.
      Add more tests of libm functions.
      Add further tests of libm functions.
      Add more tests of acosh, atanh, cos, csqrt, erfc, sin, sincos.
      Add more tests of csqrt, lgamma, log10, sinh.
      Fix mips16 __fpu_control static linking (bug 18397).
      Fix linknamespace test handling of architecture-specific st_other.
      Fix log1p missing underflows (bug 16339).
      Fix atanf spurious underflows (bug 18196).
      Fix erfcf spurious underflows (bug 18217).
      Fix lgammaf spurious underflows (bug 18220).
      Fix tanf spurious underflows (bug 18221).
      Fix atanhl missing underflows (bug 16352).
      Fix i386 atanhl spurious underflows (bug 18049).
      Fix ldbl-96 remquol (finite, Inf) (bug 18244).
      conformtest: clean up POSIX expectations for unistd.h.
      conformtest: correct POSIX expectations for locale.h.
      conformtest: use proper _POSIX_C_SOURCE value for POSIX.
      linknamespace: whitelist re_syntax_options.
      Fix sysdeps/ieee754/dbl-64/mpa.c for -Wuninitialized.
      Fix lgamma implementations for -Wuninitialized.
      Fix pathconf basename namespace (bug 18444).
      Restore _POSIX2_C_VERSION definition (bug 438).
      Fix ldbl-128 / ldbl-128ibm asinl for -Wuninitialized.
      Fix ldbl-128 / ldbl-128ibm erfcl for -Wuninitialized
      Fix ldbl-128 / ldbl-128ibm tanl for -Wuninitialized.
      Fix soft-fp fma for -Wuninitialized.
      Fix fnmatch towlower namespace (bug 18469).
      Use libc_hidden_proto / libc_hidden_def with __strnlen.
      Use better variable names in MIPS syscall macros.
      Fix fnmatch wmemchr namespace (bug 18468).
      Fix fnmatch strnlen namespace (bug 18470).
      Fix regex wctype namespace (bug 18495).
      Fix psignal, psiginfo declaration conditions (bug 18483).
      Fix regex wcrtomb namespace (bug 18496).
      Fix open_memstream namespace (bug 18498).
      Say "C++ tests" in comment on __open_memstream declaration.
      Fix pathconf statvfs namespace (bug 18507).
      Fix regcomp wcscoll, wcscmp namespace (bug 18497).
      Fix h_errno namespace (bug 18520).
      Fix ecvt_r, fcvt_r namespace (bug 18522).
      Fix aio_* pread namespace (bug 18519).
      Fix getlogin_r namespace (bug 18527).
      Fix grp.h endgrent, getgrent namespace (bug 18528).
      Fix netdb.h addrinfo namespace (bug 18529).
      Fix syslog fputs_unlocked namespace (bug 18530).
      Fix linknamespace expectations for in6addr_any, in6addr_loopback.
      Fix gethostbyaddr in6addr_any, in6addr_loopback namespace (bug 18532).
      Fix vsyslog namespace (bug 18533).
      Fix syslog dprintf namespace (bug 18534).
      Fix sem_* tdelete, tfind, tsearch, twalk namespace (bug 18536).
      Fix fmtmsg addseverity namespace (bug 18539).
      Fix getpass fflush_unlocked namespace (bug 18540).
      Fix swscanf vswscanf namespace (bug 18542).
      Fix mq_notify pthread_barrier_* namespace (bug 18544).
      Create hidden aliases for non-libc syscalls automatically.
      Fix mq_receive, mq_send mq_timed* namespace (bug 18545).
      Fix mq_notify socket, recv namespace (bug 18546).
      Fix ttyslot namespace (bug 18547).
      Fix nice getpriority, setpriority namespace (bug 18553).
      Remove ldbl-128ibm variants of complex math functions.
      Fix netinet/in.h MCAST_* namespace (bug 18558).
      Remove stray spurious-underflow markings from cexp test.
      Remove include/bits/ipc.h.
      Fix asinh missing underflows (bug 16350).
      conformtest: Support xfail markers on individual assertions.
      conformtest: Fix pselect expectations.
      Fix x86 / x86_64 expl, exp10l missing underflows (bug 16361).
      Correct ChangeLog syntax for conditional change within function.
      Fix x86_64 / x86 expm1l (-min_subnorm) result sign (bug 18569).
      Fix expm1 missing underflows (bug 16353).
      Fix exp2, exp2f spurious underflows (bug 18219).
      Fix csqrt spurious underflows (bug 18371).
      Fix math/Makefile dependency on libm-test.stmp for libmvec tests.
      Fix spurious "inexact" exceptions from __kernel_standard_l (bug 18245, bug 18583).
      Fix sin, sincos missing underflows (bug 16526, bug 16538).
      Fix ldbl-128 expl missing underflows (bug 18586).
      Fix csin, csinh overflow in directed rounding modes (bug 18593).
      Move csin, csinh tests to auto-libm-test-in.
      Fix cexp, ccos, ccosh, csin, csinh spurious underflows (bug 18594).
      Refactor libm tests.
      Use round-to-nearest internally in jn, test with ALL_RM_TEST (bug 18602).
      Update headers for Linux 4.0, 4.1 definitions.
      Fix j1, jn missing underflows (bug 16559).
      Fix ldbl-128 j1l spurious underflows (bug 18612).
      Improve tgamma accuracy (bug 18613).
      Regenerate MIPS libm-test-ulps.
      Regenerate ARM libm-test-ulps.
      Regenerate powerpc-nofpu libm-test-ulps.
      Fix ldbl-128 expm1l (-min_subnorm) result sign (bug 18619).
      Mark bug 2981 (elf/tst-audit* fail on MIPS) as fixed.

Kevin Easton (1):
      Reduce lock contention in __tz_convert() [BZ #16145] (partial fix)

Khem Raj (2):
      Reflect renaming of bh_IN and tu_IN in SUPPORTED file [BZ #17475]
      locale: Do not define lang_ab for tcy_IN and bhb_IN

Leonhard Holz (6):
      Remove unused definitions
      Improve strcoll with strdiff.
      Split locale generation snippet into a separate file
      Add strcoll benchmark
      remove now unused idxnow in strcoll
      remove unnecessary memset in strcoll

Mark Wielaard (2):
      elf.h SHF_EXCLUDE signed int 31 bit shift triggers undefined behaviour.
      elf.h: Add section compression constants and structures.

Marko Myllynen (4):
      Fix bo_CN and bo_IN.
      Fix monetary.h comment
      Remove unused PREDEFINED_CLASSES code
      locale: Remove obsolete repertoire map references

Martin Galvan (2):
      NPTL: swap comments for THREAD_SETMEM and THREAD_SETMEM_NC for i386 and x86_64
      NPTL: Remove duplicate definition of PTHREAD_ADAPTIVE_MUTEX_INITIALIZER_NP

Martin Sebor (4):
      powerpc: setcontext.S uses power6 mtfsf when not supported [BZ #18116]
      Attempting to install glibc configured with --prefix=/usr into
      The C++ 2011 std::call_once function is specified to allow
      The patch committed to fix bug #18435 caused regressions on aarch64

Matthew Fortune (2):
      ia64: remove fixed page size macros and others [BZ #17792]
      Add support for DT_MIPS_RLD_MAP_REL.

Mel Gorman (2):
      malloc: Consistently apply trim_threshold to all heaps [BZ #17195]
      malloc: Do not corrupt the top of a threaded heap if top chunk is MINSIZE [BZ #18502]

Mike Frysinger (27):
      ia64: drop custom getpagesize
      hppa: fix build failure with RTLD_PRIVATE_ERRNO
      add changelog for previous commit
      alloca: fix buf interaction
      manual: drop strerror C89 compatibility note
      hppa: update __O_SYNC fix with [BZ #18068]
      pwd.h: add __nonnull markings [BZ #18641]
      nscd: drop selinux/flask.h include
      tst-tzset: raise timeout to 5 seconds
      hppa/ia64: _dl_symbol_address: add PLT bypass for rtld
      hppa/ia64: _dl_unmap: make it hidden
      sparc: fix sigaction for 32bit builds [BZ #18694]
      ia64: siginfo.h: delete siginfo name
      ia64: sifaction.h: change sa_flags to an int
      ia64: stat.h: rename pad0 to __glibc_reserved0
      ia64: msg.h: fix msg_qnum/msg_qbytes types
      ia64: sigaction.h: fix sa_flags ordering
      conform/linknamespace: whitelist matherrf/matherrl
      pwd.h: revert __nonnull markings on putpwent [BZ #18641]
      ia64: clean up old kernel headers cruft
      ia64: atomic.h: fix atomic_exchange_and_add 64bit handling
      ia64: drop __tls_get_addr from expected ld.so plt usage
      hppa: rewrite INLINE_SYSCALL
      hppa: fix sysdep.h header setup
      hppa: sigaction.h: change sa_flags to an int
      hppa: fix pthreadtypes.h namespace failures
      hppa: add bz entry for pthreadtypes.h fix

Miroslav Lichvar (1):
      Update timex.h for ADJ_SETOFFSET.

Nathan Lynch (1):
      ARM: VDSO support

Ondřej Bílka (2):
      Handle mblen return code when n is zero.
      Use strspn/strcspn/strpbrk ifunc in internal calls.

Paul Eggert (6):
      Add ersatz _Static_assert on older C hosts
      * manual/time.texi (TZ Variable): glibc no longer comes with tzdata.
      * stdlib/setenv.c (__add_to_environ):
      * stdlib/setenv.c (__add_to_environ): Revert previous change.
      Better fix for setenv (..., NULL, ...)
      Remove obsolete aliases that broke 'locale -a'

Paul Pluzhnikov (13):
      Cleanup: add missing #include's
      Fix BZ #17269 -- _IO_wstr_overflow integer overflow
      Fix BZ #17916 - fopen unbounded stack usage for ccs= modes
      Fix minor formatting violation.
      Fix BZ 18036 buffer overflow (read past end of buffer) in internal_fnmatch
      Fix BZ #18043: buffer-overflow (read past the end) in wordexp/parse_dollars/parse_param
      Cleanup: in preparation for fixing BZ #16734, fix memory leaks exposed by
      Refactor wordexp-test.c such that words always ends at the edge of
      Fix off-by-one which caused BZ #18042 and add a test for it.
      Mention BZ #18042 in NEWS.
      Fix BZ #18043 (c4): buffer-overflow (read past the end) in wordexp/parse_dollars/parse_param
      Minor refactoring:
      Fix BZ #18043 comment # 19: don't call undefined setenv(..., NULL, 1).

Pavel Kopyl (1):
      Add forced deletion support to _dl_close_worker

Pravin Satpute (1):
      Correcting language code for Bhili and Tulu locales (bug 17475)

Rajalakshmi Srinivasaraghavan (2):
      powerpc: POWER7 strncpy optimization for unaligned string
      powerpc: strstr optimization

Rical Jasan (1):
      manual: complete example in error message documentation

Richard Henderson (5):
      alpha: Unconditionally include dl-sysdep.h in sysdep.h
      alpha: Update libm-test-ulps
      math/test-fenvinline: Cast fe_exc to unsigned int before printing
      alpha: Update libm-test-ulps
      soft-fp: Fix alpha kernel build problem

Roland McGrath (97):
      Clean up sysdep-dl-routines variable.
      Exclude rpcent functions and NSS backends for rpc, key when excluding sunrpc.
      x86: Clean up __vdso_clock_gettime variable.
      Clean up NPTL fork to be compat-only.
      Clean up NPTL longjmp to be compat-only.
      Clean up NPTL system to be compat-only.
      Clean up nptl/tst-join5 use of nanosleep.
      Fix nptl/tst-kill5 not to presume SIGRTMAX exists.
      Fix dirent/tst-fdopendir not to presume O_NOATIME exists.
      Fix libio/tst-atime not to presume ST_NOATIME exists.
      Move tst-getlogin to login/ subdirectory.
      Do not use SA_NOCLDWAIT in tst-pselect.
      Conditionalize some tests' use of SA_SIGINFO.
      Use signal rather than sigaction in nptl/tst-cleanup2.
      NPTL: Build tests using clone directly only for Linux.
      Don't set unused field in rt/tst-timer2.
      Conditionalize use of SIGRTMIN in nptl/tst-locale1.c.
      NPTL: Conditionalize some sanity tests for SIGCANCEL/SIGSETXID.
      ARM: Add missing sfi_breg in LDR_GLOBAL macro.
      Clean up math/test-snan.
      Pointless update in README.
      Another pointless update in README.
      Support after-link variable to run a final step on binaries.
      Use -Werror=undef for assembly code.
      NPTL: Initializer for .init_array-only configurations.
      Add placeholder c++-types.data and *.abilist files.
      Don't crash in iconv setup when getcwd fails.
      Convert tst-iconv5 to use test-skeleton.
      Convert tst-iconv3 to use test-skeleton.
      Convert dlfcn/tststatic2 to use test-skeleton.
      Deglobalize internal variables in timer_routines.c.
      Avoid C++ tests when the C++ cannot be linked.
      Avoid more C++ tests.
      Conditionalize some test code for SIGRTMIN, SA_SIGINFO.
      Split rpcent tests out of tst-netdb.
      Define ETH_ALEN in generic <netinet/if_ether.h>.
      Avoid re-exec-self in bug-setlocale1.
      ChangeLog format
      Document test-wrapper-env-only in INSTALL.
      Harmonize posix/regcomp.c with gnulib: comment formatting
      Let tests result in UNSUPPORTED; use that for unbuildable C++ cases
      ARM: Rewrite sysdeps/arm/tls-macros.h
      ARM: Fix memcpy & memmove for [ARM_ALWAYS_BX]
      Minor cleanups in libio/iofdopen.c
      Convert dlfcn/tststatic to use test-skeleton.
      Make test-skeleton.c grok TEST_DIRECT magic environment variable.
      Let non-add-on preconfigure scripts set libc_config_ok.
      Omit libc-modules.h for all .v.i files.
      Add arm-nacl port.
      Fuller check for invalid NSID in _dl_open.
      Avoid confusing compiler with dynamically impossible statically invalid dereference in _dl_close_worker.
      ARM: Define PI_STATIC_AND_HIDDEN.
      NaCl: Make __suseconds_t be long int rather than int32_t.
      NaCl: Fix symbol names for euidaccess.
      NaCl: Change clock_t to long int.
      NaCl: Fix elf_loader file name in nacl-test-wrapper.sh
      BZ#18383: Add test case for large alignment in TLS blocks.
      NaCl: Implement gethostname.
      NaCl: Provide non-default values for uname.
      Add a test case for scandir.
      Break __scandir_cancel_handler out into its own file.
      Refactor scandir/scandirat to use common tail.
      Nit fixes in last change.
      NaCl: Make fdopendir skip fcntl check.
      Refactor opendir.
      BZ#18434: Fix sem_post EOVERFLOW check for [!__HAVE_64B_ATOMICS].
      BZ#18434: Mark fixed in NEWS.
      Move usleep.c using nanosleep to sysdeps/posix.
      NaCl: Set tid field to a unique value.
      Fix nptl-init.c use of INTERNAL_SYSCALL_DECL.
      Split timed-wait functions out of nptl/lowlevellock.c.
      NaCl: Add NaCl-specific __lll_timedlock_wait.
      NaCl: Fix thinko in last change.
      NaCl: Fix lll_futex_timed_wait timeout calculation.
      NaCl: Make thread exit wake pthread_join.
      Fix setenv.c diagnostic pragma to be compatible with GCC 4.6
      BZ#18383: Another test case, with TLS refs and defs in separate TUs.
      NaCl: Implement nacl_interface_ext_supply entry point.
      Line-wrap some log entries.
      Print more information in tst-getcpu failure case.
      NaCl: Fix glob.c build after getlogin_r -> __getlogin_r.
      Use unsigned types for counters in AIO code.
      Use unsigned types for counters in getaddrinfo_a code.
      NPTL: Use unsigned type for setxid_futex.
      Install a dummy <rpc/netdb.h> when not building sunrpc/.
      Fix some places to use $(LN_S) makefile variable.
      BZ#18383: Conditionalize test-xfail-tst-tlsalign{,-static} on ARM assembler bug.
      PLT avoidance for _exit in rtld.
      Provide __libc_fatal for rtld.
      NaCl: Make pthread_condattr_setclock reject CLOCK_MONOTONIC.
      Factor file identity rules out of generic rtld code.
      Add abilist files and NEWS item for arm-nacl port.
      NaCl: Use only nacl_irt_dev_filename, never nacl_irt_filename.
      NaCl: Fix missing getdtablesize symbol.
      Add SIGWINCH to generic <bits/signum.h>.
      Make sysdeps/posix bring in login subdir.
      NaCl: Remove bogus O_SHLOCK, O_EXLOCK definitions.

Rüdiger Sonderfeld (1):
      Document tv_sec is of type time_t:

Samuel Thibault (28):
      hurd: fix build with pthread aio
      hurd: fix f?chflags prototypes, declare them and their flags
      hurd: allow poll() array bigger than FD_SETSIZE
      hurd: map nice levels 1-to-1 with Mach prio levels
      hurdselect: Let select get interrupted by signals
      hurd: fix sigstate locking
      hurdselect: remove dead code.
      hurd: support mmap with PROT_NONE
      hurd: add basic types for ioctls
      hurd: fix compilation of signal.h in C++
      hurd: fix compilation of signal.h in C++
      hurd: Ignore bytes beyond sockaddr length for AF_UNIX
      hurd: fix tls.h build
      hurd: Fix abi-tag, following ba90e05
      Fix time/getdate.c build.
      add hurd/hurdsocket.h file missing from a5eb23d
      hurd: fix unwind-resume.c build
      hurd: fix unwind-resume.c build
      Add fixed bug numbers to NEWS
      Revert "hurd: Fix abi-tag, following ba90e05"
      Fix aio_error thread-safety.
      hurd: Make libc able to call pthread stubs
      Add missing dependency
      Fix warnings
      Fix visibility of EXTPROC macro
      Add more exception to local headers list
      mach: fix typo
      hurd: permit to use mlock from non-root process

Siddhesh Poyarekar (25):
      Consolidate arena_lookup and arena_lock into a single arena_get
      Skip logging for DNSSEC responses [BZ 14841]
      Fix up NEWS merge goof-up
      Update NEWS
      Minor changelog fixup
      Add *.pyc to .gitignore
      Add envz_remove to the libc manual
      Succeed if make check does not report any errors
      Avoid deadlock in malloc on backtrace (BZ #16159)
      Fix typo in safety annotations in envz_remove
      Fix monetary.h comment
      New module to import and process benchmark output
      benchtest: script to compare two benchmarks
      Avoid boolean coercion in tst-tls-atexit test case
      Remove unnecessary mutex locks from tst-tls-atexit test case
      Whitespace fix in tst-tls-atexit.c
      Fix up ChangeLog
      Fix up typo in tst-tls-atexit
      Set NODELETE flag when opening already open objects with RTLD_NODELETE
      Whitespace fixup in cxa_thread_atexit_impl.c
      Add comment to clarify how the test can fail
      Remove Linuxism from tst-tls-atexit
      Also use l_tls_dtor_count to decide on object unload (BZ #18657)
      Mention dl_load_lock by name in the comments
      Use IE model for static variables in libc.so, libpthread.so and rtld

Stefan Liebler (18):
      S390: Build failure due to nptl/pt-longjmp.c changes.
      s390: Use generic lowlevellock-futex.h
      S/390: Regenerate ULPs
      S/390: Fix setcontext/swapcontext which are not restoring sigmask.
      Update tst_mbrlen/tst_mbrtowc for mblen change
      Set errno for log1p on pole/domain error.
      Use correct signedness in wcsncmp
      S/390: Get cache information via sysconf
      S/390: Regenerate ULPs
      Adjust tst-strfmon1 after da_DK locale change.
      S/390: Regenerate ULPs
      Fix timezone tests run in parallel.
      Fix benchtests build failure after 'add benchmark for strcoll'
      S390: Fix sem.h conformance test failures.
      S390: Regenerate ULPs.
      S390: Fix "backtrace() returns infinitely deep stack frames with makecontext()" [BZ #18508].
      S390: Regenerate ULPs
      i686: Mark stdlib/tst-makecontext as XFAIL.

Steve Ellcey (6):
      2015-02-13  Steve Ellcey  <sellcey@imgtec.com>
      2015-02-17  Steve Ellcey  <sellcey@imgtec.com>
      2015-02-17  Steve Ellcey  <sellcey@imgtec.com>
      2015-02-18  Steve Ellcey  <sellcey@imgtec.com>
      * inet/rcmd.c (rresvport_af): Change ss to anonymous union
      * resolv/res_hconf.c (_res_hconf_reorder_addrs): Use a union to

Szabolcs Nagy (11):
      [AArch64] Fix the big endian loader name.
      [AArch64] Fix inline asm clobber list in tls-macros.h
      struct stat is not posix conform
      [BZ 18034][AArch64] Lazy TLSDESC relocation data race fix
      [AArch64] Fix cfi_adjust_cfa_offset usage in dl-tlsdesc.S
      Regenerate aarch64 libm-test-ulps
      [AArch64] make setcontext etc functions consistent with the kernel
      [AArch64][BZ 18400] fix elf_prpsinfo in procfs.h
      [AArch64][BZ 18648] change greg_t definition in ucontext.h
      [AArch64][BZ #17711] Fix extern protected data handling
      [ARM][BZ #17711] Fix extern protected data handling

Torvald Riegel (11):
      Make error checking effective in nptl/tst-cond25.c.
      ia64: Remove custom lowlevellock.h
      Fix lost wake-up when pthread_rwlock_timedrwlock times out.
      Fix missing wake-ups in pthread_rwlock_rdlock.
      Fix atomic_full_barrier on x86 and x86_64.
      Clean up BUSY_WAIT_NOP and atomic_delay.
      Remove documentation of lowlevellock systemtap probes.
      Do not create invalid pointers in C code of string functions.
      Add and use new glibc-internal futex API.
      Clean up semaphore EINTR handling after Linux futex docs clarification.
      hppa: Remove custom lowlevellock.h.

Tulio Magno Quites Machado Filho (2):
      BZ #18116: Mark fixed in NEWS.
      Avoid outputting to TTY after an expected memory corruption in testcase

Vincent Bernat (1):
      time: ensure failing strptime() tests are reported correctly

Wilco Dijkstra (14):
      Rather than using a C implementation of memset, directly call memset, which
      Rather than using a C implementation of memmove, directly call memmove, which
      Use __copysign rather than copysign.
      2015-05-06  Szabolcs Nagy  <szabolcs.nagy@arm.com>
      Remove various ABS macros and replace uses with fabs (or in one case abs)
      Add missing math_private includes.
      2015-05-28  Wilco Dijkstra  <wdijkstr@arm.com>
      2015-06-02  Szabolcs Nagy  <szabolcs.nagy@arm.com>
      This patch renames all uses of __isinf*, __isnan*, __finite* and __signbit* to use standard C99 macros. This has no effect on generated code.
      Replace finite with isfinite.
      Remove unused file sysdeps/ieee754/support.c
      Inline __ieee754_sqrt and __ieee754_sqrtf. Also add external definitions.
      Optimize the strlen implementation by using a page cross check and a fast check
      Add AArch64 versions of math_opt_barrier and math_force_eval that avoid going via memory.

Yaakov Selkowitz (1):
      manual: fix XPG basename prototype

Zack Weinberg (1):
      Deprecate the use of regexp.h

-----------------------------------------------------------------------